summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorLinux User <wbx@linux.(none)>2009-10-01 15:48:47 +0200
committerLinux User <wbx@linux.(none)>2009-10-01 15:48:47 +0200
commit22bb527c786d6631eec13f2328da05437a1e46b5 (patch)
tree4cc27dacae51429414de8362c66a09f64e35b840 /scripts
parent1d2ddabc7b9d0b63887058f6799c281cfa1f1370 (diff)
parent7f46305c0aa9963be7b87489d52876916c8643e0 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Conflicts: scripts/scan-pkgs.sh
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh10
-rw-r--r--scripts/scan-tools.sh32
2 files changed, 10 insertions, 32 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 1faaeaeb8..0107ee4bd 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -28,6 +28,9 @@ if [[ -n $ADK_NATIVE ]];then
NEED_CURLDEV="$NEED_CURLDEV git"
NEED_SSLDEV="$NEED_SSLDEV git"
fi
+ if [[ -n $ADK_TARGET_PACKAGE_RPM ]]; then
+ NEED_RPM="$NEED_RPM rpm"
+ fi
fi
if [[ -n $ADK_PACKAGE_ALSA_UTILS ]]; then
@@ -125,6 +128,13 @@ if [[ -n $ADK_USE_CCACHE ]]; then
fi
fi
+if [[ -n $NEED_RPM ]]; then
+ if ! which rpmbuild >/dev/null 2>&1; then
+ echo >&2 You need rpmbuild to to use $NEED_RPM package backend
+ out=1
+ fi
+fi
+
#if [[ -n $ADK_COMPILE_MYSQL && $OStype != Linux ]]; then
# echo >&2 mySQL does not build on non-GNU/Linux.
# out=1
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 29cdf0fef..d63391f66 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -107,38 +107,6 @@ if ! which cpp >/dev/null 2>&1; then
out=1
fi
-#if ! which flex >/dev/null 2>&1; then
-# echo You must install flex to continue.
-# echo
-# out=1
-#else
-# echo '%%' | flex -
-# if fgrep _POSIX_SOURCE lex.yy.c; then
-# echo Your lexer \(flex\) contains a broken skeleton.
-# if [[ $NO_ERROR = 1 ]]; then
-# echo WARNING: continue at your own risk.
-# echo Some packages may be broken.
-# else
-# echo You can continue the build by issuing \'make prereq-noerror\'
-# echo However, several packages may faild to build correctly.
-# out=1
-# fi
-# echo
-# fi
-#fi
-
-#if ! which bison >/dev/null 2>&1; then
-# echo You must install GNU bison to continue.
-# echo
-# out=1
-#fi
-
-#if ! which gperf >/dev/null 2>&1; then
-# echo You must install gperf to continue.
-# echo
-# out=1
-#fi
-
if ! which tar >/dev/null 2>&1; then
echo You must install GNU tar to continue.
echo